//
//  AppDelegate.swift
//  HSNavigationController
//
//  Created by zwb on 17/1/6.
//  Copyright © 2017年 hengsu technology. All rights reserved.
//

import UIKit

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?


    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplicationLaunchOptionsKey: Any]?) -> Bool {
        
        window=UIWindow(frame: UIScreen.main.bounds)
        window?.backgroundColor=UIColor.white
        window?.makeKeyAndVisible()
        
        let navigationBar=UINavigationBar.appearance()
        navigationBar.tintColor=UIColor.white
        navigationBar.barTintColor=UIColor(white: 0.0, alpha: 0.45)
        navigationBar.titleTextAttributes=[NSForegroundColorAttributeName:UIColor.white]
        
        UIApplication.shared.statusBarStyle = .lightContent
        
        let firstVc=UINavigationController(rootViewController: FirstViewController())
        let firstNav=HSNavigationController(withRootViewController: firstVc)
        window?.rootViewController=firstNav
        
        return true
    }


}

