//
//  BaseViewController.swift
//  HSNavigationController
//
//  Created by zwb on 17/1/9.
//  Copyright © 2017年 hengsu technology. All rights reserved.
//

import UIKit

class BaseViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        let titleString=NSStringFromClass(classForCoder)
        let titleStrArr=titleString.components(separatedBy: ".")
        title=titleStrArr.last
        view.backgroundColor=UIColor.white
        
        navigationController!.navigationBar.layer.shadowColor=UIColor(white: 0.0, alpha: 0.8).cgColor
        navigationController!.navigationBar.layer.shadowOpacity=0.8
        navigationController!.navigationBar.layer.shadowOffset=CGSize(width: 0, height: 2)
        
        let backItem=UIBarButtonItem(image: UIImage(named: "nav_back_white"),
                                    style: .plain,
                                    target: self,
                                    action: #selector(backItemClick(_:)))
        navigationItem.leftBarButtonItem=backItem
        
        let width=UIScreen.main.bounds.width
        let height=UIScreen.main.bounds.height
        
        let centerBt=UIButton(type: .system)
        centerBt.setTitle("Click", for: .normal)
        centerBt.setTitleColor(UIColor.orange, for: .normal)
        centerBt.backgroundColor=UIColor(white: 0.0, alpha: 0.25)
        centerBt.frame=CGRect(x: width/2-100, y: height/2-100, width: 200, height: 200)
        centerBt.titleLabel!.font=UIFont.boldSystemFont(ofSize: 18)
        centerBt.addTarget(self, action: #selector(buttonClick(_:)), for: .touchUpInside)
        view.addSubview(centerBt)
    }
    
    public func backItemClick(_ sender:UIBarButtonItem) {
        
        // do something in here
        
        if hsNavigationController.viewControllers.count<2 { return }
        
    }
    
    public func buttonClick(_ sender:UIButton) {
        
        // do something in here
        
    }
    
    deinit {
        HSLog("\(classForCoder) deinit")
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

}

